%define modulename html5-parser

Name:		python-%{modulename}
Summary:	Fast C based HTML 5 parsing for python
Version:	0.4.4
%define subrel 1
Release:	%mkrel 1
Group:		Development/Python
License:	Apache 2.0
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://files.pythonhosted.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.gz

BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pythonegg(2)(setuptools)

BuildRequires:	pkgconfig(python3)


%description
A *fast*, standards compliant, C based, HTML 5 parser for python. Over **thirty**
times as fast as pure python based parsers, such as html5lib.

%package -n python3-%{modulename}
Summary:	A python based HTML parser/tokenizer 
Group:		Development/Python 

%description -n python3-%{modulename}
A *fast*, standards compliant, C based, HTML 5 parser for python. Over **thirty**
times as fast as pure python based parsers, such as html5lib.

%prep
%setup -q -n %{modulename}-%{version} 
rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd
%py2_install


%check
nosetests || true
pushd %{py3dir}
nosetests-%{python3_version} || true
popd

%files
%doc README.rst LICENSE 
%{python2_sitearch}/html5_parser-*.egg-info
%{python2_sitearch}/html5_parser

%files -n python3-%{modulename}
%doc LICENSE README.rst
%{python3_sitearch}/html5_parser-*.egg-info
%{python3_sitearch}/html5_parser



%changelog
* Thu Oct 11 2018 bcornec <bcornec> 0.4.4-1.1.mga6
+ Revision: 1319468
- Import python-html5-parser from cauldron for calibre update
- Created package structure for python-html5-parser.

